Package: jmeter
Version: 2.13-1
Severity: normal

Dear Maintainer,

jmeter fails all tests that use BeanShell PreProcessor:

2016/10/28 16:47:07 INFO  - jmeter.threads.ThreadGroup: Starting thread group 
number 1 threads 10 ramp-up 0 perThread 0.0 delayedStart=false 
2016/10/28 16:47:07 ERROR - jmeter.util.BeanShellTestElement: Cannot find 
BeanShell: java.lang.ClassNotFoundException: bsh.Interpreter 
2016/10/28 16:47:07 ERROR - jmeter.util.BeanShellTestElement: Cannot find 
BeanShell: java.lang.ClassNotFoundException: bsh.Interpreter 
2016/10/28 16:47:07 INFO  - jmeter.threads.JMeterThread: Thread started: User 
Group 1-1 
2016/10/28 16:47:07 ERROR - jmeter.util.BeanShellTestElement: Cannot find 
BeanShell: java.lang.ClassNotFoundException: bsh.Interpreter 
2016/10/28 16:47:07 ERROR - jmeter.util.BeanShellTestElement: Cannot find 
BeanShell: java.lang.ClassNotFoundException: bsh.Interpreter 
2016/10/28 16:47:07 ERROR - jmeter.threads.JMeterThread: Error while processing 
sampler 'Post - Create tenant' : java.lang.NullPointerException
        at 
org.apache.jmeter.util.BeanShellTestElement.getBeanShellInterpreter(BeanShellTestElement.java:89)
        at 
org.apache.jmeter.modifiers.BeanShellPreProcessor.process(BeanShellPreProcessor.java:49)
        at 
org.apache.jmeter.threads.JMeterThread.runPreProcessors(JMeterThread.java:762)
        at 
org.apache.jmeter.threads.JMeterThread.process_sampler(JMeterThread.java:419)
        at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:261)
        at java.lang.Thread.run(Thread.java:745)

Is a dependency missing ?

All the best

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386, armhf

Kernel: Linux 4.7.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages jmeter depends on:
ii  default-jre [java2-runtime]       2:1.8-57
ii  java-wrappers                     0.1.28
ii  libavalon-framework-java          4.2.0-9
ii  libbcmail-java                    1.55-1
ii  libbcprov-java                    1.55-1
ii  libbsf-java                       1:2.4.0-5
ii  libcommons-collections3-java      3.2.2-1
ii  libcommons-httpclient-java        3.1-12
ii  libcommons-io-java                2.5-1
ii  libcommons-jexl-java              1.1-3
ii  libcommons-jexl2-java             2.1.1-3
ii  libcommons-lang3-java             3.5-1
ii  libcommons-math3-java             3.6.1-1
ii  libcommons-pool2-java             2.4.2-2
ii  libexcalibur-logger-java          2.1-6
ii  libexcalibur-logkit-java          2.0-11
ii  libjcharts-java                   0.7.5-4
ii  libjdom1-java                     1.1.3-1
ii  libjtidy-java                     7+svn20110807-4
ii  libmail-java                      1.5.6-1
ii  liboro-java                       2.0.8a-12
ii  librhino-java                     1.7R4-3
ii  librsyntaxtextarea-java           2.5.0-1
ii  libxalan2-java                    2.7.1-9
ii  libxmlgraphics-commons-java       2.1-2
ii  libxstream-java                   1.4.9-1
ii  openjdk-8-jre [java2-runtime]     8u111-b14-2
ii  oracle-java8-jdk [java2-runtime]  8u66

Versions of packages jmeter recommends:
ii  jmeter-help  2.13-1
ii  jmeter-http  2.13-1

jmeter suggests no packages.

-- no debconf information

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to